/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreLogiclist;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreLogiclistRecord extends UpdatableRecordImpl<TCoreLogiclistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_logiclist.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logiclist.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_logiclist.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logiclist.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_logiclist.fk_core_logic</code>. Foreign
     * key to t_core_logic
     */
    public void setFkCoreLogic(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logiclist.fk_core_logic</code>. Foreign
     * key to t_core_logic
     */
    public Integer getFkCoreLogic() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_logiclist.list_number</code>. Groups
     * entries to a list
     */
    public void setListNumber(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logiclist.list_number</code>. Groups
     * entries to a list
     */
    public Integer getListNumber() {
        return (Integer) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreLogiclistRecord
     */
    public TCoreLogiclistRecord() {
        super(TCoreLogiclist.T_CORE_LOGICLIST);
    }

    /**
     * Create a detached, initialised TCoreLogiclistRecord
     */
    public TCoreLogiclistRecord(LocalDateTime lastchange, Integer pk, Integer fkCoreLogic, Integer listNumber) {
        super(TCoreLogiclist.T_CORE_LOGICLIST);

        setLastchange(lastchange);
        setPk(pk);
        setFkCoreLogic(fkCoreLogic);
        setListNumber(listNumber);
        resetChangedOnNotNull();
    }
}
